List recurrence locations
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/locrec \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://spi.sandbox.lerian.net/api/v1/brcode/locrec"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/locrec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/locrec"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"loc": [
{
"criacao": "<string>",
"id": 123,
"location": "<string>",
"tipo": "rec",
"idRec": "<string>"
}
],
"parametros": {
"fim": "<string>",
"inicio": "<string>",
"paginacao": {
"itensPorPagina": 123,
"paginaAtual": 123,
"quantidadeDePaginas": 123,
"quantidadeTotalDeItens": 123
}
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}List recurrence locations
Lists recurrence locations by start date, end date, and idRecPresente. Pix API GET /locrec.
GET
/
api
/
v1
/
brcode
/
locrec
List recurrence locations
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/locrec \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://spi.sandbox.lerian.net/api/v1/brcode/locrec"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/locrec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/locrec"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"loc": [
{
"criacao": "<string>",
"id": 123,
"location": "<string>",
"tipo": "rec",
"idRec": "<string>"
}
],
"parametros": {
"fim": "<string>",
"inicio": "<string>",
"paginacao": {
"itensPorPagina": 123,
"paginaAtual": 123,
"quantidadeDePaginas": 123,
"quantidadeTotalDeItens": 123
}
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Autorizaciones
JWT bearer token issued by the identity provider.
Parámetros de consulta
Início do filtro de criação (RFC 3339).
Fim do filtro de criação (RFC 3339).
Filtra por locations com (ou sem) idRec vinculado (true/false).
Página a ser retornada (0-based).
Rango requerido:
x >= 0Itens por página (1..1000).
Rango requerido:
1 <= x <= 1000¿Esta página le ayudó?

